org.bdgenomics.cannoli.builder

# SingularityBuilder

###
Related Doc: package builder

#### final class SingularityBuilder extends ContainerBuilder

Linear Supertypes
ContainerBuilder, CommandBuilder, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SingularityBuilder
2. ContainerBuilder
3. CommandBuilder
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new SingularityBuilder(executable: String, image: String)

2. #### new SingularityBuilder(executable: String)

3. #### new SingularityBuilder()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def add(arguments: Iterable[String]): CommandBuilder

   Definition Classes
     CommandBuilder

5. #### final def add(arguments: <repeated...>[String]): CommandBuilder

   Definition Classes
     CommandBuilder

6. #### final def addArgument(argument: String): CommandBuilder

   Definition Classes
     CommandBuilder

7. #### final def addArguments(arguments: Iterable[String]): CommandBuilder

   Definition Classes
     CommandBuilder

8. #### final def addArguments(arguments: <repeated...>[String]): CommandBuilder

   Definition Classes
     CommandBuilder

9. #### final def addEnvironment(environment: Map[String, String]): CommandBuilder

   Definition Classes
     CommandBuilder

10. #### final def addEnvironment(variable: String, value: String): CommandBuilder

    Definition Classes
      CommandBuilder

11. #### final def addFile(file: String): CommandBuilder

    Definition Classes
      CommandBuilder

12. #### final def addFiles(files: Iterable[String]): CommandBuilder

    Definition Classes
      CommandBuilder

13. #### final def addFiles(files: <repeated...>[String]): CommandBuilder

    Definition Classes
      CommandBuilder

14. #### final def addMount(source: String, target: String): CommandBuilder

    Definition Classes
      CommandBuilder

15. #### final def addMount(mount: String): CommandBuilder

    Definition Classes
      CommandBuilder

16. #### final def addMounts(mounts: Map[String, String]): CommandBuilder

    Definition Classes
      CommandBuilder

17. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

18. #### final def build(): List[String]

    Definition Classes
      ContainerBuilder → CommandBuilder

19. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### def formatEnvironmentArgument(variable: String, value: String): List[String]

    Attributes
      protected[org.bdgenomics.cannoli.builder]
    Definition Classes
      SingularityBuilder → ContainerBuilder

24. #### def formatEnvironmentVariable(variable: String, value: String): List[String]

    Attributes
      protected[org.bdgenomics.cannoli.builder]
    Definition Classes
      SingularityBuilder → ContainerBuilder

25. #### def formatImage(image: String): List[String]

    Attributes
      protected[org.bdgenomics.cannoli.builder]
    Definition Classes
      SingularityBuilder → ContainerBuilder

26. #### def formatMount(source: String, target: String): List[String]

    Attributes
      protected[org.bdgenomics.cannoli.builder]
    Definition Classes
      SingularityBuilder → ContainerBuilder

27. #### final def getArguments(): List[String]

    Definition Classes
      CommandBuilder

28. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

29. #### def getContainerCommands(): List[String]

    Attributes
      protected[org.bdgenomics.cannoli.builder]
    Definition Classes
      SingularityBuilder → ContainerBuilder

30. #### final def getEnvironment(): Map[String, String]

    Definition Classes
      CommandBuilder

31. #### final def getExecutable(): String

    Definition Classes
      CommandBuilder

32. #### final def getFiles(): List[String]

    Definition Classes
      CommandBuilder

33. #### final def getFlankSize(): Integer

    Definition Classes
      CommandBuilder

34. #### final def getImage(): String

    Definition Classes
      CommandBuilder

35. #### final def getMounts(): Map[String, String]

    Definition Classes
      CommandBuilder

36. #### final def getOptFlankSize(): Optional[Integer]

    Definition Classes
      CommandBuilder

37. #### final def getOptTimeout(): Optional[Long]

    Definition Classes
      CommandBuilder

38. #### def getRemoveArgument(): List[String]

    Attributes
      protected[org.bdgenomics.cannoli.builder]
    Definition Classes
      SingularityBuilder → ContainerBuilder

39. #### final def getSudo(): Boolean

    Definition Classes
      CommandBuilder

40. #### final def getTimeout(): Long

    Definition Classes
      CommandBuilder

41. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

42. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

43. #### final def isSudo(): Boolean

    Definition Classes
      CommandBuilder

44. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

45. #### final def notify(): Unit

    Definition Classes
      AnyRef

46. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

47. #### final def reset(): CommandBuilder

    Definition Classes
      CommandBuilder

48. #### final def setExecutable(executable: String): CommandBuilder

    Definition Classes
      CommandBuilder

49. #### final def setFlankSize(flankSize: Integer): CommandBuilder

    Definition Classes
      CommandBuilder

50. #### final def setImage(image: String): CommandBuilder

    Definition Classes
      CommandBuilder

51. #### final def setSudo(sudo: Boolean): CommandBuilder

    Definition Classes
      CommandBuilder

52. #### final def setTimeout(duration: Long, timeUnit: TimeUnit): CommandBuilder

    Definition Classes
      CommandBuilder

53. #### final def setTimeout(timeout: Long): CommandBuilder

    Definition Classes
      CommandBuilder

54. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

55. #### def toString(): String

    Definition Classes
      AnyRef → Any

56. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

57. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

58. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ContainerBuilder

### Inherited from CommandBuilder

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped